name: increase-max-open-files-on-macos
runs:
  using: composite
  steps:
  - name: Increase max open files
    run: |-
      sudo sysctl -w kern.maxfiles=1048576
      sudo sysctl -w kern.maxfilesperproc=1048576
      sudo launchctl limit maxfiles 1048576
    shell: bash
